package com.ruoyi.generator.controller;

import com.ruoyi.common.annotation.Anonymous;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.generator.domain.Community.CommunityArticle;
import com.ruoyi.generator.service.ICommunityArticleService;
import com.ruoyi.generator.vo.CommunityArticleVo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * 社区文章管理
 * 
 * @author fangzhen
 */
@Api(tags = "社区文章管理")
@RestController
@RequestMapping("/community/article")
public class CommunityArticleController extends BaseController
{
    @Autowired
    private ICommunityArticleService communityArticleService;


    /**
     * 获取文章列表信息
     */
    @ApiOperation("获取文章列表")
    @GetMapping("/list")
    //@Anonymous
    public TableDataInfo genList(CommunityArticle communityArticle)
    {
        startPage();
        List<CommunityArticleVo> list = communityArticleService.selectCommunityArticleList(communityArticle);
        return getDataTable(list);
    }
}