package com.ruoyi.generator.mapper.community;

import com.ruoyi.generator.domain.Community.CommunityArticle;
import com.ruoyi.generator.domain.Community.CommunityArticleCollect;
import com.ruoyi.generator.domain.Community.CommunityLike;
import com.ruoyi.generator.vo.CommunityArticleVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author Administrator
 * @description 针对表【community_user(用户表)】的数据库操作Mapper
 * @createDate 2024-08-24 15:35:46
 * @Entity com.ruoyi.generator.domain.Community.CommunityUser
 */
@Mapper
public interface CommunityArticleMapper {
    /**
     * 获取文章内容首页信息
     *
     * @param communityArticle 文章条件
     * @return 文章首页信息
     */
    List<CommunityArticleVo> selectCommunityArticleList(CommunityArticle communityArticle);

    /**
     * 获取该用户是否收藏该文章
     *
     * @param userId    用户id
     * @param articleId 文章id
     * @return 文章收藏信息
     */
    CommunityArticleCollect selectCommunityArticleCollectById(@Param("userId") Long userId, @Param("articleId") Long articleId);

    /**
     * 获取该用户是否已点赞该文章
     *
     * @param userId    用户id
     * @param articleId 文章id
     * @return 文章点赞信息
     */
    CommunityLike selectCommunityArticleLikeById(@Param("userId") Long userId, @Param("articleId") Long articleId);
}




